#
# spec file for package perl-Mac-PropertyList
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mac-PropertyList
Version:        1.413
Release:        30.1
%define cpan_name Mac-PropertyList
Summary:        Work with Mac Plists at a Low Level
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mac-PropertyList/
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(XML::Entities)
BuildRequires:  perl(parent)
Requires:       perl(XML::Entities)
Requires:       perl(parent)
%{perl_requires}

%description
This module is a low-level interface to the Mac OS X Property List (plist)
format in either XML or binary. You probably shouldn't use this in
applications–build interfaces on top of this so you don't have to put all
the heinous multi-level object stuff where people have to look at it.

You can parse a plist file and get back a data structure. You can take that
data structure and get back the plist as XML. If you want to change the
structure inbetween that's your business. :)

You don't need to be on Mac OS X to use this. It simply parses and
manipulates a text format that Mac OS X uses.

If you need to work with the old ASCII or newer JSON formet, you can use
the *plutil* tool that comes with MacOS X:

	% plutil -convert xml1 -o ExampleBinary.xml.plist ExampleBinary.plist

Or, you can extend this module to handle those formats (and send a pull
request).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples
%license LICENSE

%changelog
* Fri Mar 23 2018 coolo@suse.com
- updated to 1.413
  see /usr/share/doc/packages/perl-Mac-PropertyList/Changes
  1.413 2018-03-22T18:51:07Z
  * Update to Artistic License 2.0
* Mon Jul 31 2017 coolo@suse.com
- updated to 1.412
  see /usr/share/doc/packages/perl-Mac-PropertyList/Changes
  1.412 2017-07-30T18:27:33Z
  * Fix for plist files with comments (bram.stappers@tiobe.com) RT #122466
  and GitHub #5 (as a pull request)
  * Note that this module does not handle ASCII or JSON formats (but they
  are in the wishlist now) (anonymous Yahoo! user)
* Fri Jul 21 2017 coolo@suse.com
- updated to 1.411
  see /usr/share/doc/packages/perl-Mac-PropertyList/Changes
* Wed Jul 19 2017 coolo@suse.com
- updated to 1.411
  see /usr/share/doc/packages/perl-Mac-PropertyList/Changes
* Sat Feb  7 2015 coolo@suse.com
- updated to 1.41
  * Fix up some metadata (GitHub #4)
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.40
  * Get rid of MYMETA
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.39
  * Bump to full release
  * Fix non-portable strftime format (RT #83460)
  * Wim Lewis improved the binary reader / writer and made better
    tests for it.
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.38
    Wim Lewis <wiml@cpan.org> added WriteBinary. Great work!
* Wed Sep 26 2012 Greg.Freemyer@gmail.com
- ran spec-cleaner
- upgrade to v1.37
  * fix plist_as_perl to be the same as as_perl (and as documented)
  * Update the docs, and make the previous dev releases official
  * Document the as_perl method, which undecorates that internal
* Tue Aug 23 2011 chris@computersalat.de
- fix deps
  * perl >= 5.10.0
* Sat Jul 30 2011 Greg.Freemyer@opensuse.com
- upgrade to 1.34
  * In ReadBinary, handle the data as big-endian. This means you
    need the > pack modifier introduced in 5.10.
  * Require 5.10 because I need the > pack modifier
  * Ensure binary reads are for big endian
  * Various cleanups for format and whitespace
* Mon Feb 21 2011 Greg.Freemyer@gmail.com
- initial package 1.33
  * created by cpanspec 1.78.03
